OrcProto.BloomFilterIndexOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.BloomFilterIndexOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.BloomFilterIndex, OrcProto.BloomFilterIndex.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.BloomFilterIndexOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.BloomFilter` | `getBloomFilter(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `int` | `getBloomFilterCount()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `List<OrcProto.BloomFilter>` | `getBloomFilterList()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterOrBuilder` | `getBloomFilterOrBuilder(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `List<? extends OrcProto.BloomFilterOrBuilder>` | `getBloomFilterOrBuilderList()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getBloomFilterList

          List<OrcProto.BloomFilter> getBloomFilterList()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilter

          OrcProto.BloomFilter getBloomFilter(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilterCount

          int getBloomFilterCount()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilterOrBuilderList

          List<? extends OrcProto.BloomFilterOrBuilder> getBloomFilterOrBuilderList()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilterOrBuilder

          OrcProto.BloomFilterOrBuilder getBloomFilterOrBuilder(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.